using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class RightsTypeInsert : DataAccessBase
	{
		public RightsTypeInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[RightsTypeInsert]");
			ConfigParameter();
		}

		private SqlParameter paramTypeID;
		public System.Int32 TypeID
		{
			get
			{
				return (System.Int32)paramTypeID.Value;
			}
			set
			{
				paramTypeID.Value = value;
			}
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramTypeName;
		public System.String TypeName
		{
			get
			{
				return (System.String)paramTypeName.Value;
			}
			set
			{
				paramTypeName.Value = value;
			}
		}

		private SqlParameter paramParentTypeID;
		public System.Int32 ParentTypeID
		{
			get
			{
				return (System.Int32)paramParentTypeID.Value;
			}
			set
			{
				paramParentTypeID.Value = value;
			}
		}

		private SqlParameter paramCreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return (System.DateTime)paramCreateTime.Value;
			}
			set
			{
				paramCreateTime.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return (System.Int32)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return (System.DateTime)paramUpdateTime.Value;
			}
			set
			{
				paramUpdateTime.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return (System.Int32)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramTypeID = new SqlParameter();
			paramTypeID.ParameterName = "@TypeID";
			paramTypeID.SqlDbType = SqlDbType.Int;
			paramTypeID.Precision = 10;
			paramTypeID.Scale = 0;
			paramTypeID.Direction = ParameterDirection.InputOutput;
			paramTypeID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTypeID);
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramTypeName = new SqlParameter();
			paramTypeName.ParameterName = "@TypeName";
			paramTypeName.SqlDbType = SqlDbType.VarChar;
			paramTypeName.Size = 100;
			paramTypeName.Direction = ParameterDirection.Input;
			paramTypeName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTypeName);
			//--------------------------------------------------------
			paramParentTypeID = new SqlParameter();
			paramParentTypeID.ParameterName = "@ParentTypeID";
			paramParentTypeID.SqlDbType = SqlDbType.Int;
			paramParentTypeID.Precision = 10;
			paramParentTypeID.Scale = 0;
			paramParentTypeID.Direction = ParameterDirection.Input;
			paramParentTypeID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramParentTypeID);
			//--------------------------------------------------------
			paramCreateTime = new SqlParameter();
			paramCreateTime.ParameterName = "@CreateTime";
			paramCreateTime.SqlDbType = SqlDbType.DateTime;
			paramCreateTime.Size = 16;
			paramCreateTime.Scale = 3;
			paramCreateTime.Direction = ParameterDirection.Input;
			paramCreateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTime);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.Int;
			paramCreateUser.Precision = 10;
			paramCreateUser.Scale = 0;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateTime = new SqlParameter();
			paramUpdateTime.ParameterName = "@UpdateTime";
			paramUpdateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateTime.Size = 16;
			paramUpdateTime.Scale = 3;
			paramUpdateTime.Direction = ParameterDirection.Input;
			paramUpdateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateTime);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.Int;
			paramUpdateUser.Precision = 10;
			paramUpdateUser.Scale = 0;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
		}
	}
}